import 'enum.dart';
import 'model.dart';

class TIMEvent {}

// ==== 消息事件 (Global Event) ====

class NetworkStatusChangedEvent extends TIMEvent {
  NetworkStatusChangedEvent({
    required this.networkStatus,
  });

  final TIMNetworkStatus networkStatus;
}

class KickedOfflineEvent extends TIMEvent {}

class UserSignExpiredEvent extends TIMEvent {}

// ==== 消息事件 (Message Event) ====

class NewMessageEvent extends TIMEvent {
  NewMessageEvent({
    required this.message,
  });
  final Message message;
}

class NewGroupMessageEvent extends TIMEvent {
  NewGroupMessageEvent({
    required this.message,
  });
  final GroupMessage message;
}
