class TIMSdkException implements Exception {
  TIMSdkException([
    this.code = 0,
    this.message = '',
  ]);

  final int code;
  final String message;
}

class InitSdkFailException extends TIMSdkException {}

class ConnectFailException extends TIMSdkException {
  ConnectFailException(
    int code,
    String message,
  ) : super(code, message);
}

class LoginFailException extends TIMSdkException {
  LoginFailException(
    int code,
    String message,
  ) : super(code, message);
}

class SendMessageException extends TIMSdkException {
  SendMessageException(
    int code,
    String message,
  ) : super(code, message);
}

class CreateGroupException extends TIMSdkException {
  CreateGroupException(
    int code,
    String message,
  ) : super(code, message);
}

class DissolveGroupException extends TIMSdkException {
  DissolveGroupException(
    int code,
    String message,
  ) : super(code, message);
}

class JoinGroupException extends TIMSdkException {
  JoinGroupException(
    int code,
    String message,
  ) : super(code, message);
}
