enum TIMLogLevel {
  off,
  test,
  verbose,
  debug,
  info,
  warn,
  error,
}

enum TIMNetworkStatus {
  connected, // 已连接
  disconnected, // 失去连接
  connecting, // 正在连接
  connectFailed, // 连接失败
}

// 消息

enum TIMMessagePriority {
  high,
  normal,
  low,
  lowest,
}

enum TIMElementType {
  text, // 文本元素
  image, // 图片元素
  sound, // 声音元素
  custom, // 自定义元素
  file, // 文件元素
  groupTips, // 群组系统消息元素
  face, // 表情元素
  location, // 位置元素
  groupReport, // 群组系统通知元素
  video, // 视频元素
  friendChange, // 关系链变更消息元素
  profileChange, // 资料变更消息元素
  merge, // 合并消息元素
  unused, // 未知消息元素
}

// 群组

enum TIMGroupType {
  public, // 公开群
  private, // 私有群
  chatRoom, // 聊天室
  bChatRoom, // 在线成员广播大群
  avChatRoom, // 互动直播聊天室
}

enum TIMGroupAddOption {
  forbid, // 禁止加群
  auth, // 需要管理员审批
  any, // 任何人都可以加群
}
